package miningmart.storedProcedures;
public class TimeValue {

    private final String time;
    private final double value;

    public TimeValue(String time, double value) {
	this.time  = time;
	this.value = value;
    }

    public TimeValue(String time, Double value) {
	this.time  = time;
	this.value = value.doubleValue();
    }

    public TimeValue(String time, String value) throws NumberFormatException {
	this.time  = time;
	this.value = Double.parseDouble(value);
    }

    public String getTime() { return time; }

    public double getValue() { return value; }

    public long getTimeAsLong() { return Long.parseLong(time); }

}
